<template>
	<v-container>
		<v-row>
			<v-col class="me-2" cols="8">
				<v-img v-if="iconName == 'Windy'" src="../assets/Windy.png" />
				<v-img v-if="iconName == 'Sunny'" src="../assets/Sunny.png" />
				<v-img v-if="iconName == 'Cloudy'" src="../assets/Cloudy.png" />
				<v-img
					v-if="iconName == 'PartlyCloudy'"
					src="../assets/PartlyCloudy.png"
				/>
			</v-col>
			<v-col width="5vh" class="mt-6" cols="1">
				<v-row>{{ date }}</v-row>
				<br />
				<v-row id="temp">{{ temp }}°</v-row>
			</v-col>
		</v-row>
	</v-container>
</template>

<script>
const dateFormat = require('date-format');

export default {
	name: 'WeatherBlock',
	props: {
		weatherData: {
			type: Object,
			required: true,
		},
	},
	computed: {
		iconName() {
			const highWindSpeed = 10;
			const sunnyTemp = 70;
			const cloudyTemp = 40;
			let response = 'PartlyCloudy';

			if (this.weatherData.windSpeed > highWindSpeed) {
				response = 'Windy';
			} else if (this.weatherData.temperature > sunnyTemp) {
				response = 'Sunny';
			} else if (this.weatherData.temperature < cloudyTemp) {
				response = 'Cloudy';
			}

			return response;
		},
		date() {
			return dateFormat.asString('dd/MM/yy', new Date(this.weatherData.time));
		},
		temp() {
			return Math.round((5 / 9) * (this.weatherData.temperature - 32));
		},
	},
};
</script>

<style scoped>
#temp {
	direction: ltr;
}
</style>
